com.corticon.eclipse.core.util

## Class QuotedStringTokenizer

- java.lang.Object
- - java.util.StringTokenizer
  - - com.corticon.eclipse.core.util.QuotedStringTokenizer

- All Implemented Interfaces:
    java.util.Enumeration<java.lang.Object>

      public class QuotedStringTokenizer
      extends java.util.StringTokenizer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuotedStringTokenizer(java.lang.String str)`
    `QuotedStringTokenizer(java.lang.String str, java.lang.String delim)`
    `QuotedStringTokenizer(java.lang.String str, java.lang.String delim, boolean returnTokens)`
    `QuotedStringTokenizer(java.lang.String str, java.lang.String delim, boolean returnTokens, boolean returnQuotes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countTokens()`
    `boolean` | `hasMoreElements()`
    `boolean` | `hasMoreTokens()`
    `java.lang.Object` | `nextElement()`
    `java.lang.String` | `nextToken()`
    `java.lang.String` | `nextToken(java.lang.String delim)`
    `static java.lang.String` | `quote(java.lang.String s, java.lang.String delim)`
    `static java.lang.String` | `unquote(java.lang.String s)` Unquote a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str,
                               java.lang.String delim,
                               boolean returnTokens,
                               boolean returnQuotes)

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str,
                               java.lang.String delim,
                               boolean returnTokens)

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str,
                               java.lang.String delim)

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(java.lang.String str)

  - ### Method Detail

    - #### hasMoreTokens

          public boolean hasMoreTokens()

      Overrides:
        `hasMoreTokens` in class `java.util.StringTokenizer`

    - #### nextToken

          public java.lang.String nextToken()
                                     throws java.util.NoSuchElementException

      Overrides:
        `nextToken` in class `java.util.StringTokenizer`
      Throws:
        `java.util.NoSuchElementException`

    - #### nextToken

          public java.lang.String nextToken(java.lang.String delim)
                                     throws java.util.NoSuchElementException

      Overrides:
        `nextToken` in class `java.util.StringTokenizer`
      Throws:
        `java.util.NoSuchElementException`

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `java.util.Enumeration<java.lang.Object>`
      Overrides:
        `hasMoreElements` in class `java.util.StringTokenizer`

    - #### nextElement

          public java.lang.Object nextElement()
                                       throws java.util.NoSuchElementException

      Specified by:
        `nextElement` in interface `java.util.Enumeration<java.lang.Object>`
      Overrides:
        `nextElement` in class `java.util.StringTokenizer`
      Throws:
        `java.util.NoSuchElementException`

    - #### countTokens

          public int countTokens()

      Overrides:
        `countTokens` in class `java.util.StringTokenizer`

    - #### quote

          public static java.lang.String quote(java.lang.String s,
                               java.lang.String delim)

    - #### unquote

          public static java.lang.String unquote(java.lang.String s)

      Unquote a string.
      Parameters:
        `s` - The string to unquote.
      Returns:
        quoted string

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.